# Close an account Removes access to the Account and its associated resources. Closed Accounts can no longer be operated on, but limited information can still be retrieved through the API in order to be able to track their history. ## Request ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{ACCOUNT_ID}}/close \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-06-24.dahlia" \ --json '{ "applied_configurations": [ "merchant" ] }' ``` ### Response ```json { "id": "acct_1Nv0FGQ9RKHgCVdK", "object": "v2.core.account", "applied_configurations": [ "merchant" ], "contact_email": "jenny.rosen@example.com", "created": "2024-11-26T16:33:03.000Z", "dashboard": "none", "display_name": "Jenny Rosen", "livemode": true, "metadata": {} } ``` ## Parameters - `applied_configurations` (array of enums, optional) Configurations on the Account to be closed. All configurations on the Account must be passed in for this request to succeed. Possible enum values: - `customer` The Account can be used as a customer. - `merchant` The Account can be used as a merchant. - `recipient` The Account can be used as a recipient. ## Returns Returns an [Account object](https://docs.stripe.com/api/v2/core/accounts/object.md). ## Error Codes | HTTP status code | Code | Description | | --- | --- | --- | | 400 | account_not_yet_compatible_with_v2 | Account is not yet compatible with V2 APIs. | | 400 | accounts_v2_access_blocked | Accounts v2 is not enabled for your merchant. | | 400 | cannot_delete_account_with_balance | Account with Merchant or Recipient configuration with transfers feature cannot be closed because the account has a cash balance. | | 400 | cannot_delete_customer_with_available_cash_balance | Account with Customer configuration cannot be closed because the customer has a cash balance. | | 400 | configs_must_match_to_close | Account cannot be closed without specifying the right configurations. | | 400 | non_connect_platform_accounts_v2_access_blocked | Needs to use the newer API version or onboard to Connect. | | 400 | pending_transactions_cannot_be_deleted | Account cannot be closed due to other pending resources. | | 400 | platform_registration_required | The direct merchant has not signed up for Connect and cannot create connected accounts. | | 400 | stripe_loss_liable_cannot_be_deleted | Account with Stripe-owned loss liability and dashboard cannot be deleted. | | 400 | v1_account_instead_of_v2_account | V1 Account ID cannot be used in V2 Account APIs. | | 400 | v1_customer_instead_of_v2_account | V1 Customer ID cannot be used in V2 Account APIs. | | 404 | not_found | The resource wasn’t found. | | 429 | account_rate_limit_exceeded | Account cannot exceed a configured concurrency rate limit on updates. |